// Playground - noun: a place where people can play

import UIKit

var str = "Hello, playground"

class MyClass {
    var name = ""
}


struct MyStruct {
    var name = ""
}


func showPass(myc: MyClass, mys: MyStruct) {
    var mys = mys  // Jedyny sposób na przeprowadzenie zmiany, ponieważ parametry var już nie istnieją.
    print("Otrzymano klasę: \(myc.name) i strukturę: \(mys.name)")
    myc.name = "Zdefiniowano w funkcji - klasa"
    mys.name = "Zdefiniowano w funkcji - struktura"
    print("Zdefiniowano klasę: \(myc.name) i strukturę: \(mys.name)")
}

var mci = MyClass()
mci.name = "Zdefiniowano w funkcji main - klasa"

var msi = MyStruct()
msi.name = "Zdefiniowano w funkcji main - struktura"

showPass(myc: mci, mys: msi)
print("Funkcja main klasy: \(mci.name) i struktury: \(msi.name)")

